%define upstream_name    Dist-Zilla-PluginBundle-Git-CheckFor
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Check that you're on the correct branch before release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Devel::CheckBin)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion) >= 1.120.370
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::Git::Repo)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Env::Path)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose::More) >= 0.8.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::TempDir)
BuildRequires: perl(Test::TempDir::Tiny)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
BuildRequires: git-arch
BuildRequires: git-core
BuildRequires: git-core-oldies
BuildRequires: git-cvs
BuildRequires: perl(Git)
BuildRequires: git-email
BuildRequires: git-prompt
BuildRequires: git-svn
BuildRequires: gitk
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Version::Next)
BuildArch:  noarch

%description
This is a role that extends the Dist::Zilla::Role::Git::Repo manpage to
provide an additional private attribute. There's probably nothing here
you'd be terribly interested in.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.14.0-6.mga9
+ Revision: 1812682
- Mageia 9 Mass Rebuild

* Thu May 21 2020 wally <wally> 0.14.0-5.mga8
+ Revision: 1586697
- drop unneeded python BR

* Wed Feb 12 2020 umeabot <umeabot> 0.14.0-4.mga8
+ Revision: 1505719
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.14.0-3.mga7
+ Revision: 1283368
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.14.0-2.mga7
+ Revision: 1164118
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 0.14.0-1.mga7
+ Revision: 1156195
- update to 0.014

* Sun Jun 19 2016 pterjan <pterjan> 0.13.0-3.mga6
+ Revision: 1025990
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.13.0-2.mga6
+ Revision: 967364
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.13.0-1.mga6
+ Revision: 848766
- update to 0.013

* Sun Oct 19 2014 umeabot <umeabot> 0.11.0-4.mga5
+ Revision: 788453
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-3.mga5
+ Revision: 746736
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 0.11.0-1.mga5
+ Revision: 617900
- New version 0.011

* Mon Feb 10 2014 jquelin <jquelin> 0.9.0-1.mga5
+ Revision: 588363
- update to 0.009

* Mon Oct 21 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 538390
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 489511
- update to 0.007

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 366657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 shlomif <shlomif> 0.6.0-1.mga3
+ Revision: 319173
- update to 0.006

* Thu Oct 25 2012 shlomif <shlomif> 0.5.0-2.mga3
+ Revision: 310100
- Remove make check
- More BuildRequires
- Missing BRs
- Add missing BR
- imported package perl-Dist-Zilla-PluginBundle-Git-CheckFor


* Thu Oct 25 2012 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
